OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ImagingCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBImaging :: MonadIO m => m Bool
- gl_ARB_imaging :: Bool
- gl_BLEND_COLOR :: GLenum
- gl_BLEND_EQUATION :: GLenum
- gl_COLOR_MATRIX :: GLenum
- gl_COLOR_MATRIX_STACK_DEPTH :: GLenum
- gl_COLOR_TABLE :: GLenum
- gl_COLOR_TABLE_ALPHA_SIZE :: GLenum
- gl_COLOR_TABLE_BIAS :: GLenum
- gl_COLOR_TABLE_BLUE_SIZE :: GLenum
- gl_COLOR_TABLE_FORMAT :: GLenum
- gl_COLOR_TABLE_GREEN_SIZE :: GLenum
- gl_COLOR_TABLE_INTENSITY_SIZE :: GLenum
- gl_COLOR_TABLE_LUMINANCE_SIZE :: GLenum
- gl_COLOR_TABLE_RED_SIZE :: GLenum
- gl_COLOR_TABLE_SCALE :: GLenum
- gl_COLOR_TABLE_WIDTH :: GLenum
- gl_CONSTANT_ALPHA :: GLenum
- gl_CONSTANT_BORDER :: GLenum
- gl_CONSTANT_COLOR :: GLenum
- gl_CONVOLUTION_1D :: GLenum
- gl_CONVOLUTION_2D :: GLenum
- gl_CONVOLUTION_BORDER_COLOR :: GLenum
- gl_CONVOLUTION_BORDER_MODE :: GLenum
- gl_CONVOLUTION_FILTER_BIAS :: GLenum
- gl_CONVOLUTION_FILTER_SCALE :: GLenum
- gl_CONVOLUTION_FORMAT :: GLenum
- gl_CONVOLUTION_HEIGHT :: GLenum
- gl_CONVOLUTION_WIDTH :: GLenum
- gl_FUNC_ADD :: GLenum
- gl_FUNC_REVERSE_SUBTRACT :: GLenum
- gl_FUNC_SUBTRACT :: GLenum
- gl_HISTOGRAM :: GLenum
- gl_HISTOGRAM_ALPHA_SIZE :: GLenum
- gl_HISTOGRAM_BLUE_SIZE :: GLenum
- gl_HISTOGRAM_FORMAT :: GLenum
- gl_HISTOGRAM_GREEN_SIZE :: GLenum
- gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum
- gl_HISTOGRAM_RED_SIZE :: GLenum
- gl_HISTOGRAM_SINK :: GLenum
- gl_HISTOGRAM_WIDTH :: GLenum
- gl_MAX :: GLenum
- gl_MAX_COLOR_MATRIX_STACK_DEPTH :: GLenum
- gl_MAX_CONVOLUTION_HEIGHT :: GLenum
- gl_MAX_CONVOLUTION_WIDTH :: GLenum
- gl_MIN :: GLenum
- gl_MINMAX :: GLenum
- gl_MINMAX_FORMAT :: GLenum
- gl_MINMAX_SINK :: GLenum
- gl_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- gl_ONE_MINUS_CONSTANT_COLOR :: GLenum
- gl_POST_COLOR_MATRIX_ALPHA_BIAS :: GLenum
- gl_POST_COLOR_MATRIX_ALPHA_SCALE :: GLenum
- gl_POST_COLOR_MATRIX_BLUE_BIAS :: GLenum
- gl_POST_COLOR_MATRIX_BLUE_SCALE :: GLenum
- gl_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum
- gl_POST_COLOR_MATRIX_GREEN_BIAS :: GLenum
- gl_POST_COLOR_MATRIX_GREEN_SCALE :: GLenum
- gl_POST_COLOR_MATRIX_RED_BIAS :: GLenum
- gl_POST_COLOR_MATRIX_RED_SCALE :: GLenum
- gl_POST_CONVOLUTION_ALPHA_BIAS :: GLenum
- gl_POST_CONVOLUTION_ALPHA_SCALE :: GLenum
- gl_POST_CONVOLUTION_BLUE_BIAS :: GLenum
- gl_POST_CONVOLUTION_BLUE_SCALE :: GLenum
- gl_POST_CONVOLUTION_COLOR_TABLE :: GLenum
- gl_POST_CONVOLUTION_GREEN_BIAS :: GLenum
- gl_POST_CONVOLUTION_GREEN_SCALE :: GLenum
- gl_POST_CONVOLUTION_RED_BIAS :: GLenum
- gl_POST_CONVOLUTION_RED_SCALE :: GLenum
- gl_PROXY_COLOR_TABLE :: GLenum
- gl_PROXY_HISTOGRAM :: GLenum
- gl_PROXY_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum
- gl_PROXY_POST_CONVOLUTION_COLOR_TABLE :: GLenum
- gl_REDUCE :: GLenum
- gl_REPLICATE_BORDER :: GLenum
- gl_SEPARABLE_2D :: GLenum
- gl_TABLE_TOO_LARGE :: GLenum
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()
- glColorSubTable :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glColorTable :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glColorTableParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glColorTableParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glConvolutionFilter1D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionFilter2D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionParameterf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glConvolutionParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glConvolutionParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glConvolutionParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glCopyColorSubTable :: MonadIO m => GLenum -> GLsizei -> GLint -> GLint -> GLsizei -> m ()
- glCopyColorTable :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glCopyConvolutionFilter1D :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glCopyConvolutionFilter2D :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glGetColorTable :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetColorTableParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetConvolutionFilter :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetConvolutionParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetConvolutionParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetHistogram :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetHistogramParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetHistogramParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMinmax :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetMinmaxParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMinmaxParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSeparableFilter :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> Ptr b -> Ptr c -> m ()
- glHistogram :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLboolean -> m ()
- glMinmax :: MonadIO m => GLenum -> GLenum -> GLboolean -> m ()
- glResetHistogram :: MonadIO m => GLenum -> m ()
- glResetMinmax :: MonadIO m => GLenum -> m ()
- glSeparableFilter2D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> Ptr b -> m ()

# Extension Support

glGetARBImaging :: MonadIO m => m Bool

Is the ARB_imaging extension supported?

gl_ARB_imaging :: Bool

Is the ARB_imaging extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBImaging` in those cases instead.

# Enums

gl_BLEND_COLOR :: GLenum

gl_BLEND_EQUATION :: GLenum

gl_COLOR_MATRIX :: GLenum

gl_COLOR_MATRIX_STACK_DEPTH :: GLenum

gl_COLOR_TABLE :: GLenum

gl_COLOR_TABLE_ALPHA_SIZE :: GLenum

gl_COLOR_TABLE_BIAS :: GLenum

gl_COLOR_TABLE_BLUE_SIZE :: GLenum

gl_COLOR_TABLE_FORMAT :: GLenum

gl_COLOR_TABLE_GREEN_SIZE :: GLenum

gl_COLOR_TABLE_INTENSITY_SIZE :: GLenum

gl_COLOR_TABLE_LUMINANCE_SIZE :: GLenum

gl_COLOR_TABLE_RED_SIZE :: GLenum

gl_COLOR_TABLE_SCALE :: GLenum

gl_COLOR_TABLE_WIDTH :: GLenum

gl_CONSTANT_ALPHA :: GLenum

gl_CONSTANT_BORDER :: GLenum

gl_CONSTANT_COLOR :: GLenum

gl_CONVOLUTION_1D :: GLenum

gl_CONVOLUTION_2D :: GLenum

gl_CONVOLUTION_BORDER_COLOR :: GLenum

gl_CONVOLUTION_BORDER_MODE :: GLenum

gl_CONVOLUTION_FILTER_BIAS :: GLenum

gl_CONVOLUTION_FILTER_SCALE :: GLenum

gl_CONVOLUTION_FORMAT :: GLenum

gl_CONVOLUTION_HEIGHT :: GLenum

gl_CONVOLUTION_WIDTH :: GLenum

gl_FUNC_ADD :: GLenum

gl_FUNC_REVERSE_SUBTRACT :: GLenum

gl_FUNC_SUBTRACT :: GLenum

gl_HISTOGRAM :: GLenum

gl_HISTOGRAM_ALPHA_SIZE :: GLenum

gl_HISTOGRAM_BLUE_SIZE :: GLenum

gl_HISTOGRAM_FORMAT :: GLenum

gl_HISTOGRAM_GREEN_SIZE :: GLenum

gl_HISTOGRAM_LUMINANCE_SIZE :: GLenum

gl_HISTOGRAM_RED_SIZE :: GLenum

gl_HISTOGRAM_SINK :: GLenum

gl_HISTOGRAM_WIDTH :: GLenum

gl_MAX :: GLenum

gl_MAX_COLOR_MATRIX_STACK_DEPTH :: GLenum

gl_MAX_CONVOLUTION_HEIGHT :: GLenum

gl_MAX_CONVOLUTION_WIDTH :: GLenum

gl_MIN :: GLenum

gl_MINMAX :: GLenum

gl_MINMAX_FORMAT :: GLenum

gl_MINMAX_SINK :: GLenum

gl_ONE_MINUS_CONSTANT_ALPHA :: GLenum

gl_ONE_MINUS_CONSTANT_COLOR :: GLenum

gl_POST_COLOR_MATRIX_ALPHA_BIAS :: GLenum

gl_POST_COLOR_MATRIX_ALPHA_SCALE :: GLenum

gl_POST_COLOR_MATRIX_BLUE_BIAS :: GLenum

gl_POST_COLOR_MATRIX_BLUE_SCALE :: GLenum

gl_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum

gl_POST_COLOR_MATRIX_GREEN_BIAS :: GLenum

gl_POST_COLOR_MATRIX_GREEN_SCALE :: GLenum

gl_POST_COLOR_MATRIX_RED_BIAS :: GLenum

gl_POST_COLOR_MATRIX_RED_SCALE :: GLenum

gl_POST_CONVOLUTION_ALPHA_BIAS :: GLenum

gl_POST_CONVOLUTION_ALPHA_SCALE :: GLenum

gl_POST_CONVOLUTION_BLUE_BIAS :: GLenum

gl_POST_CONVOLUTION_BLUE_SCALE :: GLenum

gl_POST_CONVOLUTION_COLOR_TABLE :: GLenum

gl_POST_CONVOLUTION_GREEN_BIAS :: GLenum

gl_POST_CONVOLUTION_GREEN_SCALE :: GLenum

gl_POST_CONVOLUTION_RED_BIAS :: GLenum

gl_POST_CONVOLUTION_RED_SCALE :: GLenum

gl_PROXY_COLOR_TABLE :: GLenum

gl_PROXY_HISTOGRAM :: GLenum

gl_PROXY_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum

gl_PROXY_POST_CONVOLUTION_COLOR_TABLE :: GLenum

gl_REDUCE :: GLenum

gl_REPLICATE_BORDER :: GLenum

gl_SEPARABLE_2D :: GLenum

gl_TABLE_TOO_LARGE :: GLenum

# Functions

glBlendColor

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation

Arguments

:: MonadIO m |
=> GLenum | `mode` of type `BlendEquationMode`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glColorSubTable

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLsizei | `start`.
-> GLsizei | `count`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type,count)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glColorTable

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glColorTableParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `ColorTableParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glColorTableParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `ColorTableParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionFilter1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionFilter2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameterf

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `ConvolutionParameter`.
-> GLfloat | `params` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `ConvolutionParameter`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameteri

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `ConvolutionParameter`.
-> GLint | `params` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `ConvolutionParameter`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glCopyColorSubTable

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLsizei | `start`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyColorTable

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyConvolutionFilter1D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyConvolutionFilter2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTable

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTableParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `GetColorTableParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTableParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ColorTableTarget`.
-> GLenum | `pname` of type `GetColorTableParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionFilter

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `GetConvolutionParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ConvolutionTarget`.
-> GLenum | `pname` of type `GetConvolutionParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogram

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HistogramTarget`.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogramParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HistogramTarget`.
-> GLenum | `pname` of type `GetHistogramParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogramParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HistogramTarget`.
-> GLenum | `pname` of type `GetHistogramParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmax

Arguments

:: MonadIO m |
=> GLenum | `target` of type `MinmaxTarget`.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmaxParameterfv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `MinmaxTarget`.
-> GLenum | `pname` of type `GetMinmaxParameterPName`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmaxParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target` of type `MinmaxTarget`.
-> GLenum | `pname` of type `GetMinmaxParameterPName`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetSeparableFilter

Arguments

:: MonadIO m |
=> GLenum | `target` of type `SeparableTarget`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type)` elements of type `b`.
-> Ptr c | `span` pointing to `COMPSIZE(target,format,type)` elements of type `c`.
-> m () |

Manual page for OpenGL 2.x.

glHistogram

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HistogramTarget`.
-> GLsizei | `width`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glMinmax

Arguments

:: MonadIO m |
=> GLenum | `target` of type `MinmaxTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glResetHistogram

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HistogramTarget`.
-> m () |

Manual page for OpenGL 2.x.

glResetMinmax

Arguments

:: MonadIO m |
=> GLenum | `target` of type `MinmaxTarget`.
-> m () |

Manual page for OpenGL 2.x.

glSeparableFilter2D

Arguments

:: MonadIO m |
=> GLenum | `target` of type `SeparableTarget`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type,width)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type,height)` elements of type `b`.
-> m () |

Manual page for OpenGL 2.x.